Last Comment Bug 749401 - HttpMonitor/NetPanel should display events [load, DOMContentLoaded, MozAfterPaint]
: HttpMonitor/NetPanel should display events [load, DOMContentLoaded, MozAfterP...
Status: RESOLVED FIXED
[netpanel]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: ---
Assigned To: Jan Honza Odvarko [:Honza] PTO 07/23 - 08/08
:
Mentors:
Depends on:
Blocks: NetMonitor
  Show dependency treegraph
 
Reported: 2012-04-26 14:45 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2012-04-30 09:52 PDT (History)
0 users
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2012-04-26 14:45:21 PDT

    
Comment 1 Jan Honza Odvarko [:Honza] PTO 07/23 - 08/08 2012-04-29 05:58:38 PDT
I made two commits related to this bug (it'll be just one the next time).

https://github.com/janodvarko/httpmonitor/commit/492285ace9b1b8e97ea70594397054b0c87722e8

https://github.com/janodvarko/httpmonitor/commit/1942c01b8f666f59afb5ec59d56653d16d154f84

Note that this feature is optional in Firebug and so, you need to set the following pref to true:
extensions.httpmonitor.netShowPaintEvents

Also, the MozAfterPaint event is no longer sent to web content by default for the time being; it is still sent to chrome, however (there is a potential security issue; see bug 608030 for details). Until that's resolved, you can enable delivery of MozAfterPaint by setting the preference dom.send_after_paint_to_content to true.

Honza
Comment 2 Jan Honza Odvarko [:Honza] PTO 07/23 - 08/08 2012-04-29 12:01:40 PDT
Yet reopening, related data are not properly sent in case of remote monitoring

Honza
Comment 3 Jan Honza Odvarko [:Honza] PTO 07/23 - 08/08 2012-04-30 09:52:56 PDT
Now fixed even for the remote scenario

https://github.com/janodvarko/httpmonitor/commit/8c1fee685eb8cda56adc3a869cfa83bb6d6fd90d

Honza

Note You need to log in before you can comment on or make changes to this bug.